diff --git a/books/bookvolbib.pamphlet b/books/bookvolbib.pamphlet
index 37d4fe0..d57f36a 100644
--- a/books/bookvolbib.pamphlet
+++ b/books/bookvolbib.pamphlet
@@ -1480,6 +1480,10 @@ Software Preservation Group\\
 ``Fundamental Problems of Algorithmic Algebra''\\
 Oxford University Press (2000) ISBN0-19-512516-9
 
+\bibitem[Yapp 07]{Yapp07} Yapp, Clifford; Hebisch, Waldek; Kaminski, Kai\\
+``Literate Programming Tools Implemented in ANSI Common Lisp''\\
+\verb|brlcad.org/~starseeker/cl-web-v0.8.lisp.pamphlet|
+
 \bibitem[Youssef 04]{You04} Youssef, Saul\\
 ``Prospects for Category Theory in Aldor''\\
 October 2004\\
diff --git a/changelog b/changelog
index 7dc9093..2048b96 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20140610 tpd src/axiom-website/patches.html 20140610.01.tpd.patch
+20140610 tpd books/bookvolbib add reference Yapp07
 20140609 tpd src/axiom-website/patches.html 20140609.01.tpd.patch
 20140609 tpd books/bookvol10.4 fix ++X function example in gcd
 20140608 tpd src/axiom-website/patches.html 20140608.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 257ceda..41366b5 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4408,6 +4408,8 @@ src/input/subset.input implement 6, 8, 10, 12 Ei functions
 book/*.txt email cleanup
 <a href="patches/20140609.01.tpd.patch">20140609.01.tpd.patch</a>
 books/bookvol10.4 fix ++X function example in gcd
+<a href="patches/20140610.01.tpd.patch">20140610.01.tpd.patch</a>
+books/bookvolbib add reference Yapp07
  </body>
 </html>
 
